CREATE TABLE IF NOT EXISTS `[prefix]map_emplacement` (
  `id` int(11) NOT NULL auto_increment,
  `latitude` float NOT NULL default '0',
  `longitude` float NOT NULL default '0',
  `map_emplacement_type` int(11) NOT NULL default '0',
  `info` text NOT NULL,
  `creation_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `creation_user` int(11) NOT NULL default '0',
  `modification_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `modification_user` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]map_emplacement_type` (
  `id` int(11) NOT NULL auto_increment,
  `intitule` varchar(255) NOT NULL default '',
  `descriptif` text NOT NULL,
  `icone` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_bans` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `username` varchar(200) default NULL,
  `ip` varchar(255) default NULL,
  `email` varchar(50) default NULL,
  `message` varchar(255) default NULL,
  `expire` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_categories` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `cat_name` varchar(80) NOT NULL default 'New Category',
  `disp_position` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=20 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_censoring` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `search_for` varchar(60) NOT NULL default '',
  `replace_with` varchar(60) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_config` (
  `conf_name` varchar(255) NOT NULL default '',
  `conf_value` text,
  PRIMARY KEY  (`conf_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_forums` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `forum_name` varchar(80) NOT NULL default 'New forum',
  `forum_desc` text,
  `redirect_url` varchar(100) default NULL,
  `moderators` text,
  `num_topics` mediumint(8) unsigned NOT NULL default '0',
  `num_posts` mediumint(8) unsigned NOT NULL default '0',
  `last_post` int(10) unsigned default NULL,
  `last_post_id` int(10) unsigned default NULL,
  `last_poster` varchar(200) default NULL,
  `sort_by` tinyint(1) NOT NULL default '0',
  `disp_position` int(10) NOT NULL default '0',
  `cat_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=100 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_forum_perms` (
  `group_id` int(10) NOT NULL default '0',
  `forum_id` int(10) NOT NULL default '0',
  `read_forum` tinyint(1) NOT NULL default '1',
  `post_replies` tinyint(1) NOT NULL default '1',
  `post_topics` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`group_id`,`forum_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_groups` (
  `g_id` int(10) unsigned NOT NULL auto_increment,
  `g_title` varchar(50) NOT NULL default '',
  `g_user_title` varchar(50) default NULL,
  `g_read_board` tinyint(1) NOT NULL default '1',
  `g_post_replies` tinyint(1) NOT NULL default '1',
  `g_post_topics` tinyint(1) NOT NULL default '1',
  `g_post_polls` tinyint(1) NOT NULL default '1',
  `g_edit_posts` tinyint(1) NOT NULL default '1',
  `g_delete_posts` tinyint(1) NOT NULL default '1',
  `g_delete_topics` tinyint(1) NOT NULL default '1',
  `g_set_title` tinyint(1) NOT NULL default '1',
  `g_search` tinyint(1) NOT NULL default '1',
  `g_search_users` tinyint(1) NOT NULL default '1',
  `g_edit_subjects_interval` smallint(6) NOT NULL default '300',
  `g_post_flood` smallint(6) NOT NULL default '30',
  `g_search_flood` smallint(6) NOT NULL default '30',
  PRIMARY KEY  (`g_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_online` (
  `user_id` int(10) unsigned NOT NULL default '1',
  `ident` varchar(200) NOT NULL default '',
  `logged` int(10) unsigned NOT NULL default '0',
  `idle` tinyint(1) NOT NULL default '0',
  KEY `pun_online_user_id_idx` (`user_id`)
) ENGINE=MEMORY DEFAULT CHARSET=latin1;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_posts` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `poster` varchar(200) NOT NULL default '',
  `poster_id` int(10) unsigned NOT NULL default '1',
  `poster_ip` varchar(15) default NULL,
  `poster_email` varchar(50) default NULL,
  `message` text NOT NULL,
  `hide_smilies` tinyint(1) NOT NULL default '0',
  `posted` int(10) unsigned NOT NULL default '0',
  `edited` int(10) unsigned default NULL,
  `edited_by` varchar(200) default NULL,
  `topic_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `pun_posts_topic_id_idx` (`topic_id`),
  KEY `pun_posts_multi_idx` (`poster_id`,`topic_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_ranks` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `rank` varchar(50) NOT NULL default '',
  `min_posts` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_reports` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `post_id` int(10) unsigned NOT NULL default '0',
  `topic_id` int(10) unsigned NOT NULL default '0',
  `forum_id` int(10) unsigned NOT NULL default '0',
  `reported_by` int(10) unsigned NOT NULL default '0',
  `created` int(10) unsigned NOT NULL default '0',
  `message` text NOT NULL,
  `zapped` int(10) unsigned default NULL,
  `zapped_by` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `pun_reports_zapped_idx` (`zapped`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;
# -- 
CREATE TABLE IF NOT EXISTS `[prefix]pun_search_cache` (
  `id` int(10) unsigned NOT NULL default '0',
  `ident` varchar(200) NOT NULL default '',
  `search_data` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `pun_search_cache_ident_idx` (`ident`(8))
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_search_matches` (
  `post_id` int(10) unsigned NOT NULL default '0',
  `word_id` mediumint(8) unsigned NOT NULL default '0',
  `subject_match` tinyint(1) NOT NULL default '0',
  KEY `pun_search_matches_word_id_idx` (`word_id`),
  KEY `pun_search_matches_post_id_idx` (`post_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_search_words` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `word` varchar(20) character set latin1 collate latin1_bin NOT NULL default '',
  PRIMARY KEY  (`word`),
  KEY `pun_search_words_id_idx` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_smilies` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `image` varchar(60) NOT NULL default '',
  `text` varchar(60) NOT NULL default '',
  `disp_position` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=89 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_subscriptions` (
  `user_id` int(10) unsigned NOT NULL default '0',
  `topic_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`user_id`,`topic_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_topics` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `poster` varchar(200) NOT NULL default '',
  `subject` varchar(255) NOT NULL default '',
  `posted` int(10) unsigned NOT NULL default '0',
  `last_post` int(10) unsigned NOT NULL default '0',
  `last_post_id` int(10) unsigned NOT NULL default '0',
  `last_poster` varchar(200) default NULL,
  `num_views` mediumint(8) unsigned NOT NULL default '0',
  `num_replies` mediumint(8) unsigned NOT NULL default '0',
  `closed` tinyint(1) NOT NULL default '0',
  `sticky` tinyint(1) NOT NULL default '0',
  `moved_to` int(10) unsigned default NULL,
  `forum_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `pun_topics_forum_id_idx` (`forum_id`),
  KEY `pun_topics_moved_to_idx` (`moved_to`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_users` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `group_id` int(10) unsigned NOT NULL default '4',
  `username` varchar(200) NOT NULL default '',
  `password` varchar(40) NOT NULL default '',
  `email` varchar(50) NOT NULL default '',
  `title` varchar(50) default NULL,
  `realname` varchar(40) default NULL,
  `url` varchar(100) default NULL,
  `jabber` varchar(75) default NULL,
  `icq` varchar(12) default NULL,
  `msn` varchar(50) default NULL,
  `aim` varchar(30) default NULL,
  `yahoo` varchar(30) default NULL,
  `location` varchar(30) default NULL,
  `use_avatar` tinyint(1) NOT NULL default '0',
  `signature` text,
  `disp_topics` tinyint(3) unsigned default NULL,
  `disp_posts` tinyint(3) unsigned default NULL,
  `email_setting` tinyint(1) NOT NULL default '1',
  `save_pass` tinyint(1) NOT NULL default '1',
  `notify_with_post` tinyint(1) NOT NULL default '0',
  `show_smilies` tinyint(1) NOT NULL default '1',
  `show_img` tinyint(1) NOT NULL default '1',
  `show_img_sig` tinyint(1) NOT NULL default '1',
  `show_avatars` tinyint(1) NOT NULL default '1',
  `show_sig` tinyint(1) NOT NULL default '1',
  `timezone` float NOT NULL default '0',
  `language` varchar(25) NOT NULL default 'English',
  `style` varchar(25) NOT NULL default 'Oxygen',
  `num_posts` int(10) unsigned NOT NULL default '0',
  `last_post` int(10) unsigned default NULL,
  `registered` int(10) unsigned NOT NULL default '0',
  `registration_ip` varchar(15) NOT NULL default '0.0.0.0',
  `last_visit` int(10) unsigned NOT NULL default '0',
  `admin_note` varchar(30) default NULL,
  `activate_string` varchar(50) default NULL,
  `activate_key` varchar(8) default NULL,
  PRIMARY KEY  (`id`),
  KEY `pun_users_registered_idx` (`registered`),
  KEY `pun_users_username_idx` (`username`(8))
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=794 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]rsr_albums` (
  `id` int(11) NOT NULL auto_increment,
  `id_artiste` int(11) NOT NULL,
  `titre` varchar(255) default NULL,
  `description` text,
  `url` varchar(255) default NULL,
  `format` int(11) default NULL,
  `taille` int(11) default NULL,
  `date_creation` date default NULL,
  `date_publication` date default NULL,
  `compteur` int(11) NOT NULL default '0',
  `actif` tinyint(4) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]rsr_artistes` (
  `id` int(11) NOT NULL auto_increment,
  `nom` varchar(255) default NULL,
  `presentation` text,
  `style` varchar(255) default NULL,
  `image` varchar(255) default NULL,
  `pays` varchar(255) default NULL,
  `site` varchar(255) default NULL,
  `email_contact` varchar(255) default NULL,
  `hide_email` tinyint(4) NOT NULL default '1',
  `contact_form` tinyint(4) NOT NULL default '1',
  `email_paypal` varchar(255) default NULL,
  `pun_forum` int(11) default NULL,
  `pun_user` int(11) default NULL,
  `compteur` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=74 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]rsr_categories` (
  `id` int(11) NOT NULL auto_increment,
  `nom` varchar(64) default NULL,
  `titre` varchar(255) default NULL,
  `icone` varchar(255) default NULL,
  `description` text,
  `ordre` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=22 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]rsr_categories_tree` (
  `parent` int(11) NOT NULL,
  `child` int(11) NOT NULL,
  PRIMARY KEY  (`parent`,`child`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
# --
CREATE TABLE IF NOT EXISTS `[prefix]rsr_concerts` (
  `id` int(11) NOT NULL auto_increment,
  `id_artiste` int(11) default NULL,
  `nom` varchar(255) default NULL,
  `date` datetime default NULL,
  `lieu` varchar(255) default NULL,
  `paf` int(11) default NULL,
  `description` text,
  `affiche` varchar(255) default NULL,
  `flyer` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]rsr_configuration` (
  `key` varchar(255) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY  (`key`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
# --
CREATE TABLE IF NOT EXISTS `[prefix]rsr_contenus` (
  `id` int(11) NOT NULL auto_increment,
  `nom` varchar(64) default NULL,
  `categorie` int(11) default NULL,
  `titre` varchar(255) default NULL,
  `contenu` text,
  `auteur_creation` int(11) default NULL,
  `date_creation` datetime default NULL,
  `auteur_modification` int(11) default NULL,
  `date_modification` datetime default NULL,
  `date_publication` datetime default NULL,
  `public` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=17 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]rsr_downloads` (
  `id` int(11) NOT NULL auto_increment,
  `id_artiste` int(11) default NULL,
  `id_album` int(11) default NULL,
  `id_licence` int(11) default NULL,
  `nom` varchar(255) default NULL,
  `date_creation` date default NULL,
  `style` varchar(255) default NULL,
  `description` text,
  `ordre` int(11) default NULL,
  `actif` tinyint(4) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]rsr_download_urls` (
  `id` int(11) NOT NULL auto_increment,
  `id_download` int(11) default NULL,
  `id_format` int(11) default NULL,
  `qualite` int(11) default NULL,
  `url` varchar(255) default NULL,
  `taille` int(11) default NULL,
  `date_publication` date default NULL,
  `compteur` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]rsr_formats` (
  `id` int(11) NOT NULL auto_increment,
  `nom` varchar(32) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]rsr_licences` (
  `id` int(11) NOT NULL auto_increment,
  `nom` varchar(255) NOT NULL default '',
  `lien` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=17 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]rsr_playlists` (
  `id` int(11) NOT NULL auto_increment,
  `pun_user` int(11) NOT NULL,
  `titre` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `creation` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]rsr_playlist_download` (
  `id` int(11) NOT NULL,
  `id_download` int(11) NOT NULL,
  PRIMARY KEY  (`id`,`id_download`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
# --
CREATE TABLE IF NOT EXISTS `[prefix]rsr_videos` (
  `id` int(11) NOT NULL auto_increment,
  `id_artiste` int(11) default NULL,
  `titre` varchar(255) default NULL,
  `description` text,
  `url` varchar(255) default NULL,
  `id_licence` int(11) default NULL,
  `date_creation` date default NULL,
  `date_publication` date default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;